#lang racket
(require "player-task.rkt")

(provide start-task
         task-evt
         task-put)

(define-struct task (thread ch))

(define (start-task)
  (define ch (make-channel))
  (task (thread (lambda ()
                  (run-player 
                   (lambda () (channel-get ch))
                   (lambda (v) (channel-put ch v)))))
        ch))

(define (task-evt t) 
  (task-ch t))

(define (task-put t v)
  (channel-put (task-ch t) v))

(define (task-channel-put ch v)
  (channel-put ch v))
